post
https://api.sumsub.com/resources/kyt/txns/notes
Overview
Use this method to add a note to the specified transaction.
Notes can be used to save memos about specific data regarding transactions. Another good illustration is when Sumsub rejects a transaction but you then approve it and want to let us know.
Info
- Notes are not processed nor taken into account by automatic checks.
- Do not use notes as a channel for instant messages.
TipYou can add notes to transactions in the Dashboard. Open the transaction you need and click Add note in the Transaction details section.
Request example
curl -X POST \
'https://api.sumsub.com/resources/kyt/txns/notes' \
-H 'content-type: application/json' \
-d '{
"txnId": "66c46d7566f5240000000000",
"tags": [
"First tag",
"Second tag"
],
"note": "This is a test note"
}'Response explained
The response is a JSON file representing the note details. The following table explains the response attributes.
| Field | Type | Description |
|---|---|---|
id | String | Note identifier. You may need it in case you want to edit the note or remove it. |
txnId | String | Unique transaction identifier in the Sumsub system. |
note | String | Text of the note that was added to the transaction. |
createdAt | Date | Date and time when the note was added. |
createdBy | Date | Identifier of the note author. |
Response examples
If the request is sent and processed successfully, you will receive a response like the following:
{
"id": "66ceed13d427a60000000000",
"txnId": "66c46d7566f5240000000000",
"note": "This is a test note",
"createdAt": "2024-08-28 09:25:39+0000",
"createdBy": "service-prd-JYHGDETVKPUYTFD-app-name lastname"
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:
{
"description": "Malformed data provided in the request",
"code": 400,
"correlationId": "f08a5c47fbb49289bb1c8116a296ddf5"
}